import { jsx as _jsx } from "react/jsx-runtime";
import { forwardRef } from 'react';
import CplusLogoLight from './CplusLogoLight';
import CplusLogoDark from './CplusLogoDark';
import { useThemeModification, useBrandModification } from '../../utils';
const CplusLogoSvg = forwardRef(function CplusLogoSvg(props, ref) {
    const { isDarkTheme } = useThemeModification();
    const { isDarkBrand } = useBrandModification();
    return isDarkTheme || isDarkBrand ? _jsx(CplusLogoDark, Object.assign({}, props, { ref: ref })) : _jsx(CplusLogoLight, Object.assign({}, props, { ref: ref }));
});
export default CplusLogoSvg;
